curl --request PATCH \
--url https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/{question_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"text": "<string>",
"evaluation_criteria": "<string>",
"score_of_1": "<string>",
"score_of_5": "<string>",
"score_weight": 5,
"not_scored": true,
"question_type": "<string>",
"min_follow_ups": 1,
"max_follow_ups": 1,
"additional_instructions": "<string>",
"post_processing_evaluation_criteria": "<string>",
"expected_answer": "<string>",
"expected_value": 123,
"is_dealbreaker": true,
"answer": "<unknown>",
"is_knockout": true,
"dropdown_values": [
{}
],
"is_answer_mandated": true,
"mcq_type": "<string>",
"operator": "<string>",
"file_types": [
"<string>"
],
"allow_multiple_files": true,
"slider_min": 123,
"slider_max": 123,
"slider_step": 123,
"instructions": "<string>",
"options": [
"<string>"
],
"structured_config": {}
}
'import requests
url = "https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/{question_id}"
payload = {
"text": "<string>",
"evaluation_criteria": "<string>",
"score_of_1": "<string>",
"score_of_5": "<string>",
"score_weight": 5,
"not_scored": True,
"question_type": "<string>",
"min_follow_ups": 1,
"max_follow_ups": 1,
"additional_instructions": "<string>",
"post_processing_evaluation_criteria": "<string>",
"expected_answer": "<string>",
"expected_value": 123,
"is_dealbreaker": True,
"answer": "<unknown>",
"is_knockout": True,
"dropdown_values": [{}],
"is_answer_mandated": True,
"mcq_type": "<string>",
"operator": "<string>",
"file_types": ["<string>"],
"allow_multiple_files": True,
"slider_min": 123,
"slider_max": 123,
"slider_step": 123,
"instructions": "<string>",
"options": ["<string>"],
"structured_config": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
evaluation_criteria: '<string>',
score_of_1: '<string>',
score_of_5: '<string>',
score_weight: 5,
not_scored: true,
question_type: '<string>',
min_follow_ups: 1,
max_follow_ups: 1,
additional_instructions: '<string>',
post_processing_evaluation_criteria: '<string>',
expected_answer: '<string>',
expected_value: 123,
is_dealbreaker: true,
answer: '<unknown>',
is_knockout: true,
dropdown_values: [{}],
is_answer_mandated: true,
mcq_type: '<string>',
operator: '<string>',
file_types: ['<string>'],
allow_multiple_files: true,
slider_min: 123,
slider_max: 123,
slider_step: 123,
instructions: '<string>',
options: ['<string>'],
structured_config: {}
})
};
fetch('https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/{question_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "A1B2C3D4",
"posting_id": "13D77095",
"modality": "voice",
"text": "Tell me about a challenging project you led.",
"object": "question",
"rank": 1,
"evaluation_criteria": "<string>",
"score_of_1": "<string>",
"score_of_5": "<string>",
"score_weight": 123,
"not_scored": true,
"question_type": "<string>",
"min_follow_ups": 123,
"max_follow_ups": 123,
"additional_instructions": "<string>",
"post_processing_evaluation_criteria": "<string>",
"expected_answer": "<string>",
"expected_value": 123,
"is_dealbreaker": true,
"answer": "<unknown>",
"is_knockout": true,
"dropdown_values": [
{}
],
"is_answer_mandated": true,
"mcq_type": "<string>",
"operator": "<string>",
"file_types": [
"<string>"
],
"allow_multiple_files": true,
"slider_min": 123,
"slider_max": 123,
"slider_step": 123,
"response_format": "text",
"instructions": "<string>",
"options": [
"<string>"
],
"structured_config": {},
"created_at": 123,
"updated_at": 123
},
"meta": {}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Update a question
Updates the specified question. Only fields present in the request body are modified; omitted fields remain unchanged.
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Body
Request body for updating a question.
Only provided fields are modified; omitted fields remain unchanged.
Updated question text.
Updated evaluation criteria.
Updated score-1 description.
Updated score-5 description.
Updated importance weight for scoring (1–10).
1 <= x <= 10Updated not-scored flag.
Updated question format.
Updated min follow-ups.
x >= 0Updated max follow-ups.
x >= 0Updated instructions.
Updated post-processing criteria.
Updated expected answer.
Updated expected value.
Updated dealbreaker flag.
Updated expected answer (form).
Updated knockout flag.
Updated dropdown options.
Show child attributes
Show child attributes
Updated require-answer flag.
Updated MCQ type.
Updated operator.
Updated file types.
Updated multiple files flag.
Updated slider min.
Updated slider max.
Updated slider step.
Updated response format: 'text', 'freeform', 'date', or 'number'.
text, freeform, date, number Updated instructions.
Updated options.
Updated advanced structured configuration (voice).
Response
Successful Response
A question or criterion belonging to a posting.
The modality field indicates the question type (voice, sms, form,
resume_eligibility, resume_scoring, voice_tags). Fields that are not
applicable to a given modality will be null.
Show child attributes
Show child attributes
Optional metadata. Shape varies by endpoint.
Was this page helpful?